AptPkg::PkgRecords(3pm)

NAME
AptPkg::PkgRecords - APT package description class

SYNOPSIS
use AptPkg::PkgRecords;

DESCRIPTION
The AptPkg::PkgRecords module provides an interface to the parsed contents of package files.

  AptPkg::PkgRecords
The AptPkg::PkgRecords package Implements the APT pkgRecords class.

An instance of the AptPkg::PkgRecords class may be fetched using the "packages" method from an AptPkg::Cache object.

Methods

lookup(PACK)
    Return a hash (or hash reference, depending on context) for the given package.

    PACK may either be an AptPkg::Cache::VerFile object, an AptPkg::Cache::DescFile object or a package name.

    The hash contains the following keys:

        "FileName", "Checksum-FileSize", "MD5Hash", "SHA256", "SourcePkg", "Maintainer", "ShortDesc", "LongDesc" and "Name".

    with values taken from the packages or translation file.

    Note that "LongDesc" is generally not useful for AptPkg::Cache::VerFile objects, which refer to the Packages file, as these no longer contain the full description (now in the Translation files).

    If PACK is a package name, these additional values are set:

        "Section" and "VerStr".

    and the following values are overridden with the translated versions:

        "ShortDesc" and "LongDesc".

SEE ALSO
AptPkg::Cache(3pm), AptPkg(3pm).

AUTHOR
Brendan O'Dea <bod@debian.org>